Попутчики ver 1.1.0

2110
И так, я работал всю неделю, и теперь готов вам представить новую версию компонента "Попутчики".

Список изменений:
1. Компонент переехал на типы контента.
- Это позволяет пользователям добавлять свои поля.
- Отображать поездки в виджетах
- Работать с поездками как с обычном контентом

2. Поддержка google карт.
- Меня просили добавить поддержку google карт. Я обещал карты во второй версии, но запили сейчас. Изменить карту можно в настройках компонента.

3. Возможность выбрать какой тип поля ("Местоположение" или "Строка") использовать для полей "Откуда" и "Куда"
- По умолчанию установлен тип поля "Местоположение", но Вы можете, поменять на "Строку", и компонент продолжит работать

Подробности о предыдущих версия и планы на следующую можно посмотреть тут
Демо можно посмотреть тут

Демо пользователь:
Email: [email protected]
Password: password

Демо админ
Email: [email protected]
Password: adminadmin

**************************************************************************************************
Выход версии 1.2 откладывается на неопределенное время
Для версии 1.2 уже был реализовано:
- Новый тип поля "Город с автодополнением"
- Множественный тип точек
- Оповещения о поездках
- Переделан установщик

НО, слетела система и все наработки пропали.
**************************************************************************************************

Попутчики ver 1.0
Комментарии (22)
DeeMon 15 апреля 2016 в 21:53 0
"Присоединиться к поездке" неплохо бы добавить в сам компонент, допустим под картой или доп. информацией.
Роман Волков 15 апреля 2016 в 23:13 0
Шаблон можно настроить как угодно.
Vladimir 16 апреля 2016 в 08:19 0
Ура!
1. Что-то не так, наверное просто слово пассажиров удалить

2. На демо сайте, хотелось бы получить доступ в админку и возможность создавать поездки на демо сайте, посмотреть как работает.
3. Хотелось бы получить обновлённый копонент
Роман Волков 16 апреля 2016 в 09:41 0
1. Нет. Слово удалять не надо.
Количество мест - если создает поездку пассажир.
Пассажиров - если поездку создает пассажир, но хочет ехать не один.

2. Хорошо. Как буду у компа - скину.
3. Сегодня вечером начну рассылку обновлений с инструкцией.
Роман Волков 16 апреля 2016 в 10:41 0
Добавил доступ к админу. Обновления разослал.
Glaz 16 апреля 2016 в 12:22 +1
Может лучше "Тип оплаты" или просто "Оплата" а не "Тип цены"?
Роман Волков 16 апреля 2016 в 17:57 0
Название можно легко поменять в админке.
Glaz 17 апреля 2016 в 03:42 0
ок. Пардон.
Vladimir 18 апреля 2016 в 21:32 0
Вообще очень клёво, но, возникают ошибки:
1. При добавлении нужно нажать ок "Возникла ошибка: can't construct a route"
2. Вверху ошибка Warning: Illegal string offset 'name' in /home/users/g/gesh/domains/test.gesh.com/system/fields/city.php on line 45
Роман Волков 19 апреля 2016 в 08:53 0
1) Такая ошибка возникает если, яндекс не смог построить маршрут.
2) Вторая ошибка не моя. Это системный файл. Тип поля "Город". Какую версию движка используете?
Vladimir 18 апреля 2016 в 21:55 0
Вообщем что-то напутано, именно в файлах рассылки, в поле откуда куда (город) пишет цифры, на демо сайте всё нормально
Vladimir 18 апреля 2016 в 21:55 -1
пишет цифры и ошибки везде
Роман Волков 19 апреля 2016 в 08:56 0
И достаточно было один раз написать. А если возникают ошибки - пишите на почту, [email protected], там я помогу Вам быстрее с ними разобраться.
Роман Волков 19 апреля 2016 в 08:55 0
Нет. В файлах рассылки ничего не напутано.
Первый файл, что прислал - удаляет старые файлы компонента, чтобы не было ошибок.
Второй накатывает новый модуль. Причем на демо сайт. Я как раз и ставил эти два файла и без изменений отправил Вам. Как видите - все работает.
Vladimir 19 апреля 2016 в 17:14 0
Проблема в обновлении была, 2.4.0 с ошибками, после обновления на 2.5.1 ошибок нет. Спасибо. Отдельно отблагодарил)
lezginka.ru 14 мая 2016 в 22:32 0
не совсем понятно по обновлению
1. Установить обновление travel.pre_update
2. Установить travel.install.

travel.pre_update это обновление чего...первой ветки или переводит компонент "на типы контента"?
travel.install можно устанавливать , если есть старая версия?
и что делать со старой версией?
Роман Волков 20 мая 2016 в 09:34 0
travel.pre_update - это удаление ненужных файлов. Если его не установить перед обновлением на типы контента - будут конфликты.
Роман Волков 20 мая 2016 в 09:35 0
Установить travel.pre_update, затем travel.install - получите компонент на типах контента
lezginka.ru 14 мая 2016 в 22:37 0
что может значит сообщение(1 версия)?
Warning: constant() [function.constant]: Couldn't find constant
Роман Волков 20 мая 2016 в 09:36 0
Предупреждение php что не объявлена какая-то переменная. Отключите режим отладки.
Василич 10 июня 2016 в 00:49 0
Приветствую.
Можно ли убрать системную фотку чтобы можно было поле изображения машин переименовать в photo чтобы сама машина выводилась в списке всех поездок?
Поле изображение по логике вещей просто дополнительное и не несет особой смысловой нагрузки.
Роман Волков 13 июня 2016 в 13:03 0
Это уже зависит от того, как Вы настроите типы контента. Для работы компонента - необходимы поля "Откуда" и "Куда". Остальные поля можно настраивать